2002-10-30  Matti Hämäläinen (ccr/TNSP)  <ccr@tnsp.org>

	* Updated GNU autoconf to 2.54, automake to 1.7.1
	and libtool to latest CVS-version.	

	* Improvements in configure.ac

	* Re-arranged docs some.

2002-10-20  Matti Hämäläinen (ccr/TNSP)  <ccr@tnsp.org>

	* Incredible amount of remodelling done.
	Now uses glade-generated C-files directly.

	* Bugfixes included from 0.7-series.

	* New documentation, updated FAQ.

2002-05-05  Matti Hämäläinen (ccr/TNSP)  <ccr@tnsp.org>

	* xs_config.c: we must not free() data got from
	textfield-widgets. Changed to xs_calloc() them.
	(Fixed segfault when constantly re-opening the
	configuration-dialog.)


2002-05-04  Matti Hämäläinen (ccr/TNSP)  <ccr@tnsp.org>

	* Improved documentation lot.

	* Some nasty bugs in core code, debugging ...
	
2002-05-01  Matti Hämäläinen (ccr/TNSP)  <ccr@tnsp.org>

	* Lots of work on cleaning up the mess left
	from the major rewrites ...

	* Disabled parts of code to ease testing.

	* Started integration of experimental support
	for libsidplay2.
	
2002-03-21  Matti Hämäläinen (ccr/TNSP)  <ccr@tnsp.org>

	* Implemented routines for reading HVSC Songlength
	database. (Still need to think of memory management
	issues.)

	* Added xs_close() for cleanups. TODO: check all
	memory leaks and other things to be "shut down"
	in the plugin.

	
2002-03-20  Matti Hämäläinen (ccr/TNSP)  <ccr@tnsp.org>
	
	Loads of work, cleanups, etc.

	- The configuration dialog starts to be finished ..
	Few arrangements were done to make it more reasonably
	and new config items were added for the new options.

	- Integrated the new config-dialog code.

	* version 0.8alpha0
	
2001-11-25  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Lots of cleanups.

	* xs_title.c: General fixes, trying to get
	generic title support to work...

	* Worked on the configuration dialog.	
	
2001-11-22  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Lots of cleanups, now compiles again.
	(Yes, I've been somewhat lazy for a while)	
	
2001-11-17  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Changed to libtool 1.4

2001-09-12  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* xs_md5.*: Changed to use glib guint8/guint32.
	Cleaned up the sources slightly.

2001-08-29  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Added xs_md5.c, xs_md5.h, xs_length.c to start
	implementing the song-length support.

	* Source now in local CVS due to some hassle.

	A long programming session followed by sleepy
	let's-remove-the-~-files.

	Guess what? The tilde key did not work for that
	time. Result: "rm -f *" instead of "rm -f *~".
	What a STUPID STUPID mistake.

	Fortunately, the ext2fs undeletion HOW-TO with
	some debugfs-magic worked and I didn't have to
	start again with week-old backups :)

	*whew* (First time for me that something like
	this happened. Hopefully also the last time.)

2001-08-20  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Fixed some indentations.

	* Makefile.am: Removed duplicate xmms-sid.spec

2001-08-19  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Updated all documents to new e-mail address
	<ccr@tnsp.org> and new TNSP e-mail address
	<tnsp@tnsp.org>.

	* Added in the RPM .spec-file.

	* Lots of source cleanups.

	* Added xs_support.c and xs_title.c.

	* xs_title.c: Worked on global title support.

2001-08-15  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* configure.in: Improved general structure, show
	information about options when finished succesfully,
	detect XMMS >= 1.2.5 and enable extra features,
	option --enable-subsongsel

	* Worked on new configuration dialog.

	* Started work on changing the internals of STIL-system.

	* Started work on adding the song-length support.

	* Removed an erratic kludge from songpos-patch v1.2.5.

2001-07-19  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Improved README, added "usage"-section.

2001-07-16  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Uh oh. The v0.7 release version's song-position
	patch (v1.2.4 one) was flawed. It was against CVS
	repository and not a normal source tree.

	A new stable v0.7.1 released to fix this issue.

	Additionally the new v1.2.5 patch also fixes
	(aka comments out) an unused(??) function that
	caused trouble when compiling XMMS 1.2.5 under RH7.1.

	* Improved README.songpos documentation.

2001-06-24  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Started working on new version, 0.8 ...

	* Designed additions to configuration dialog.

	* Drew new logo for about-box.

	* Examined UADE subsong selector, planning
	how to implement it in XMMS-SID (due to many
	requests from users :-D )

2001-05-28  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Sub-song name is now shown in the sub-song
	selector of the file-information window.

2001-05-26  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* version 0.7 (final)

	Enjoy this new release, see you in version 0.8
	development stage!

	- ccr/TNSP @ Relletti, Ruukki, Finland
	Local    : Sat May 26 23:23:41 EEST 2001
	Universal: Sat May 26 20:23:41 UTC 2001

	* Added the file-selector (browse) to the STIL
	configuration panel for selecting the database-file.

	* Modularized and partially re-wrote the STIL-parsing
	function, now handles multiple data-entries for one
	sub-song and other improvements. Cleaned up the code too.

2001-05-24  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* More comments

	* Improved the SID-story-telling in README :)

	* Fixed last remaining issues in file-info dialog.

2001-04-24  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* version 0.7beta9

	* Fixed RedHat 7.x compability problems, should
	now compile with RH's "gcc" "2.96" in 7.0 and 7.1.
	(Don't know for sure, though, tested with 7.1)

2001-04-22  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* version 0.7beta8

	* WHOA! A long time since last update!

	* Fixed STIL parsing, should now work OK. The
	STIL info-window is not yet finished.

	* Makefile.am: Had forgot to include autogen.sh, added.

	* configure.in: Fixed user-specified --libdir option.
	(Was overwritten by AM_PATH_XMMS() previously)

	* Few general bugfixes.

	* Added the further improved XMMS songpos-patch
	from Willem! Thanks and greets to him.

2001-01-19  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Noticed several bugs in STIL parser, need to fix.

2001-01-17  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Fixed probable bugs in STIL handling.

2001-01-16  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* version 0.7beta6

	* Fixed few minor memory leaks.

	* Changed XMMS-configuration file ident from "SID" to
	"XMMS-SID" to prevent conflicting with the old (0.4
	and older) XMMS-SID versions. (The values from old
	configs could cause problems)

	Not the 'cleanest' way to do it, as the old configs
	stay on the config file, but detection routine for
	old config would have been overkill.


2001-01-15  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Cleaned up the error messages, now more informative.
	Thanks to Willem for reminding me.

	* Also macrofied the error printing not to repeat code.

	* Now handles properly "no-previous-config" situation
	instead of crashing. The values were initialized, but
	got to nowhere. Fixed. Thanks to Willem for this one too.

2001-01-13  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Improved speed of STIL support, simple "caching" now enabled.
	(I just keep the previous tune's infos on memory
	in case it gets reused)

2001-01-12  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Lots of cleanups, re-wrote function and variable names
	to match a 'standard', now nice.

2001-01-12  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* xs_stil.c: added support for more information fields:
	NAME, COMMENT

	* xs_stil.c: fixed parser bug in case when STIL record
	is the last on on file, found did not get set. (standard
	STIL releases did not cause this bug to occur)

2001-01-11  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Worked on the STIL handling code. Parser is in works,
	will be able to get all relevant info. Supports both
	DOS CR/LF and *NIX LF format STIL database files.

2001-01-03  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Added (finally) the file-selector/browser for
	the STIL database setting on the config panel.

	* Worked on the fileinfo-dialog. (not yet on the
	main source, just experimenting)

2001-01-01  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* version 0.7beta5 released

	* Added BUGS (somehow got forgotten before) to
	Makefile.am extradist.

	* Updated docs and copyrights for 2001
	(uhh, I am afraid that we don't see the intelligent
	computers or even the first trip to Mars this year ;-)

	* Added README.bugreport

2000-12-25  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* New debugging macros.

2000-12-24  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Added README.songpos

2000-12-24  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* version 0.7beta4 (internal)

	* Made songpos-patch compatible with XMMS 1.2.4.
	(now available in two flawours: for 1.2.2 and 1.2.4)

	* configure.in: more informational messages when
	some library (or similar) is not found.

2000-11-11  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* FINALLY updated the xmms-songpos.patch to work with
	XMMS 1.2.2 and above.

2000-11-07  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* INSTALL, README: fixes, changes, clarifications.

	* Re-designed the fileinfo dialog. Now much more robust
	and has needed fields for future enchantments.

2000-11-05  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Released 0.7beta for limited public testing.

	* xs_fileinfo.cc: Basics of the new fileinfo dialog.
	Not quite how it will be when final.

2000-11-04  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Started implementing new file information dialog.

	* Version 0.7beta

2000-10-01  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Version 0.6beta

	* xmms-sid.cc: Now the file-description setting
	(in configuration STIL panel) works and is parsed.

	* Filter settings work.

2000-09-29  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* xs_config.c: Configuration and aboutbox
	work now fine.

	* xs_config.c: Fixed loading and saving. The new
	configuration system now works and it should be
	easier to modify the variables, etc.

2000-09-27  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Configuration dialog: Added STIL settings.
	Stil bugs somewhat, the cancel-button does not
	work. (Does not close the window, but deletes
	ITSELF instead!?! Hmmm... :-)

2000-09-24  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* New aboutbox-dialog.

	* New configuration dialog (bit buggy):
		- Can set filter parameters

	* Miscellaneous improvements.

2000-09-19  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Fixed some bugs in .spec file.

	* Created a logo for the aboutbox.

	* Started creating a more flexible configuration file
	reading and saving, etc. One can add new settings more
	easily, without adding a bunch of xmms_cfg_read_XXX()'s.
	Probably less error prone too. See xmms-sid.h for more.

2000-09-18  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Added a preliminary .spec file for RPM generation.

	* Fixed some bugs in documentations

	* Started integrating the config panel into the source.
	(Can't use the Glade generated code directly, it would
	be too cumbersome due to the fact how Glade does it ;)

	* Added autogen.sh to make world a better place ;)

	* Working on a new configuration panel, with Glade.

2000-09-17  Matti (ccr/TNSP) Hamalainen  <ccr@tnsp.org>

	* Bumped up the version number to 0.5

	* sidplay.cc, sid.c: combined and moved to xmms-sid.cc

	* sid.h: Moved to xmms-sid.h

	* Makefile.am: Updated to above changes.

	* Cleaned up sources

	* configure.in: Fixed bugs, cleaned up and changed
	to use the XMMS_PATH() macro to get the Input plugin
	path and other information instead of the Willem's
	slightly hacky method. Set xmms require to v1.2.0.

	* Fixed the STIL reading (still quite rudimentary)


Mon Nov  1 05:08:06 CET 1999  Willem Monsuwe <willem@stack.nl>

	* More clean split between C++ and C code.

	* Rudimentary STIL support (dump entry in file info window)

Mon Oct  1 16:32:34 CEST 1999  Willem Monsuwe <willem@stack.nl>
        
	* configure.in: --with-sidplay-* options

	* configure.in: Better recognition of unusual install directories

Sat Aug  7 03:29:44 CEST 1999  Willem Monsuwe <willem@stack.nl>
	
	* Finished the first package with configure script etc.

	* ChangeLog: Started ChangeLog
